<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/ui/trumbowyg.min.css" integrity="sha512-iw/TO6rC/bRmSOiXlanoUCVdNrnJBCOufp2s3vhTPyP1Z0CtTSBNbEd5wIo8VJanpONGJSyPOZ5ZRjZ/ojmc7g==" crossorigin="anonymous" />


<h2 class="kanews-custom-page-title"><?php esc_html_e( 'İçerik Ekle', 'kanews' ); ?></h2>
<p class="mb-3"><?php echo kanews_translate('kanews-add-post-text', esc_html_e( 'Paylaştığınız içerik editörümüz tarafından incelendikten sonra uygun görüldüğü taktirde yayınlanacaktır', 'kanews' )); ?></p>

<form id="kanews-submit-post">
<div class="row">

  <div class="col-12">
    <div class="kanews-form">      
      <input type="text" id="post_title" name="post_title" value="" autofocus>
      <span class="highlight"></span>
      <span class="bar"></span>
      <label><?php _e('Başlık', 'kanews'); ?></label>
    </div>
  </div>

  <div class="col-12">
    <div class="kanews-form">      
      <textarea type="text" id="post_excerpt" name="post_excerpt"></textarea>
      <span class="highlight"></span>
      <span class="bar"></span>
      <label><?php _e('Açıklama', 'kanews'); ?></label>
    </div>
  </div>
  
</div>

<div id="kanews-add-posts"></div>

<div class="row">
  <div class="col-12 mt-1">
    <input type="file" name="featured" id="featured" accept="image/*" class="kanews-input-file"><label for="featured" class="kanews-input-file-path"><?php esc_html_e( 'Öne Çıkarılan Görsel Ekle', 'kanews' ); ?></label></input>
  </div>
  <div class="col-12">
  <button class="kanews-btn kanews-btn-block" type="submit"><?php esc_html_e( 'Yayınla', 'kanews' ); ?> <div id="kanews-loader"></div></button>
  </div>
</div>
<?php wp_nonce_field( 'submit_action', 'submit_field' ); ?>
</form>

<script src="//ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>window.jQuery || document.write('<script src="js/vendor/jquery-3.3.1.min.js"><\/script>')</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/trumbowyg.min.js" integrity="sha512-sffB9/tXFFTwradcJHhojkhmrCj0hWeaz8M05Aaap5/vlYBfLx5Y7woKi6y0NrqVNgben6OIANTGGlojPTQGEw==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/allowtagsfrompaste/trumbowyg.allowtagsfrompaste.min.js" integrity="sha512-Zuq+wA/YLqIGzMTTwdEx7amSDq7QKEcygLO4S8w1MeUytDQAGGZza/kZxCfwp0QiPdGHQHxl/bYGxmoy1MwdDA==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/pasteembed/trumbowyg.pasteembed.min.js" integrity="sha512-ohvYykyFxLPtZFP8ajHcVac+Yoer70PfcCb5f25hIyO5GfU/6GIxHZdEw+4qqYCs/VCNlFWCp7MvkWZxGaUMww==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/langs/tr.min.js" integrity="sha512-+HGzdrYvtA0U9cp5kJad8OpjTvUi6ywZ9z9kXFGiV3EaAR1II5X6lfulUm6/F9GKesHW+jHFfAqwXK0juybvMw==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/history/trumbowyg.history.min.js" integrity="sha512-hvFEVvJ24BqT/WkRrbXdgbyvzMngskW3ROm8NB7sxJH6P4AEN77UexzW3Re5CigIAn2RZr8M6vQloD/JHtwB9A==" crossorigin="anonymous"></script>
<script>
$('#kanews-add-posts').trumbowyg({
    lang: 'tr',
    
    plugins: {
        allowTagsFromPaste: {
            allowedTags: ['h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'p', 'br', 'hr', 'strong', 'b', 'img']
        }
    },
    btns: [
        ['viewHTML'],
        ['formatting'],
        ['strong', 'em', 'del'],
        ['historyUndo','historyRedo'],
        ['link'],
        ['insertImage'],
        ['justifyLeft', 'justifyCenter', 'justifyRight'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['removeformat'],
        ['fullscreen']
    ]
});
// Span
var span = document.getElementsByClassName('kanews-input-file-path');
// Button
var uploader = document.getElementsByName('featured');
// On change
for( item in uploader ) {
  // Detect changes
  uploader[item].onchange = function() {
    // Echo filename in span
    span[0].innerHTML = '<i class="color-success">✓</i> '+this.files[0].name;
  }
}
</script>