<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kanews
 */

 get_header();

		while ( have_posts() ) : the_post();
			kanews_page_header($post->ID); 
			if ( class_exists( 'WooCommerce' ) ) {
				echo '<main id="main" class="site-main"><div class="container"><div class="row">';
				if ( is_cart() || is_checkout() )
					get_template_part( 'woocommerce/page');
					else
					get_template_part( 'template-parts/content/content', 'page');
				echo '</div></div></main>';
			} else {
				echo '<main id="main" class="site-main"><div class="container"><div class="row">';
					get_template_part( 'template-parts/content/content', 'page');
				echo '</div></div></main>';
			}
		endwhile;

 get_footer();