<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Kanews
 */

get_header(); ?>
 <?php do_action('kanews_header_ad'); ?>
 <main id="main" class="site-main">
	 <div class="container">
		 <div class="row">
		 	<div class="kanews-widget-area kanews-widgets-content">

				 <div class="col-12 col-lg-8">
					<div class="row">
						<?php 
							$title = sprintf( __( '<span>%s</span> için arama sonuçları', 'kanews' ), '<span>' . get_search_query() . '</span>' );
							kanews_recent_posts('search', $title); 
						?>
					</div>
				 </div>
				 <?php get_sidebar(); ?>
		 	</div>
		 </div>
	 </div>
 </main>
<?php get_footer();