<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kanews
*/
$pid = get_the_ID();
kanews_set_post_views($pid);
?>

<div class="col-12 kgs2">
  <div class="kanews-section-box kanews-section-box-x">
    <?php kanews_entry_header(); ?>
  </div>
</div>

<div class="d-flex flex-wrap">

<div class="col-12 col-lg-9 kanews-sticky kgs2">
	<article id="post-<?php echo $pid; ?>" <?php post_class('kanews-article kanews-section-box kanews-article-3'); ?>>

    <?php kanews_post_featured($pid); ?>

    <?php kanews_entry_assets(); ?>
    <div class="kanews-prev-post-link" hidden><?php previous_post_link('%link', '', FALSE); ?></div>
		
		<div class="kanews-article-content entry-content">
      <?php
        // Entry Below
        do_action('kanews_entry_below', $pid);
        // Content
        echo '<div class="entry-content-wrapper">';
          echo '<div class="entry-content-inner">';
            the_content();
            // Links
            kanews_link_pages();
          echo '</div>';
        echo '</div>';
        // Entry Above
        do_action('kanews_entry_above', $pid);
			?>
    </div>

	</article>
	<?php if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif; ?>
</div>
<?php get_sidebar() ;?>
</div>